Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Binary_Search_OpTable Class Reference

Helper class for using binary search operatin lookup strategy in the server skeletons. More...

`#include <Operation_Table.h>`

Inheritance diagram for TAO_Binary_Search_OpTable:

[legend]
Collaboration diagram for TAO_Binary_Search_OpTable:

[legend]
List of all members.

## Public Methods
| TAO_Binary_Search_OpTable (void)
| Do nothing constructor.
virtual | ~TAO_Binary_Search_OpTable (void)
| Do nothing destrctor.
virtual int | find (const char *opname, TAO_Skeleton &skelfunc, const unsigned int length=0)
| See the documentation in the base class for details.
virtual int | find (const char *opname, TAO_Collocated_Skeleton &skelfunc, TAO::Collocation_Strategy s, const unsigned int length=0)
virtual int | bind (const char *opname, const TAO::Operation_Skeletons skel_ptr)
## Private Methods
virtual const TAO_operation_db_entry * | lookup (const char *str)=0

## Detailed Description

Helper class for using binary search operatin lookup strategy in the server skeletons.

This class declares pure virtual method called 'lookup ()' which will be generated by the GPERF program. This method is used by 'bind ()' and 'find ()' methods. Subclasses will define the lookup method.

## Constructor & Destructor Documentation

TAO_Binary_Search_OpTable::TAO_Binary_Search_OpTable | ( | void |  | ) |

| Do nothing constructor.

TAO_Binary_Search_OpTable::~TAO_Binary_Search_OpTable | ( | void |  | ) | `[virtual]`

| Do nothing destrctor.

## Member Function Documentation

int TAO_Binary_Search_OpTable::bind | ( | const char * | opname,
|  | const TAO::Operation_Skeletons | skel_ptr
| ) | `[virtual]`

| Associate the skeleton <{skel_ptr}> with an operation named <{opname}>. Returns -1 on failure, 0 on success, 1 on duplicate. Implements TAO_Operation_Table.

int TAO_Binary_Search_OpTable::find | ( | const char * | opname,
|  | TAO_Collocated_Skeleton & | skelfunc,
|  | TAO::Collocation_Strategy | s,
|  | const unsigned int | length = 0
| ) | `[virtual]`

| Uses <{opname}> to look up the collocated skeleton function and pass it back in <{cskelfunc}>. Returns non-negative integer on success, or -1 on failure. Implements TAO_Operation_Table.

int TAO_Binary_Search_OpTable::find | ( | const char * | opname,
|  | TAO_Skeleton & | skelfunc,
|  | const unsigned int | length = 0
| ) | `[virtual]`

| See the documentation in the base class for details. Implements TAO_Operation_Table.

virtual const TAO_operation_db_entry* TAO_Binary_Search_OpTable::lookup | ( | const char * | str | ) | `[private, pure virtual]`

The documentation for this class was generated from the following files:

- Operation_Table.h
- Operation_Table.cpp